import request from './request'
// 平台抽成 - 配置获取/配置编辑
export function platformCommissionConfig(data = {}) {
  if(Object.keys(data).length > 0) return request.post(`marketing/platformCommission/config`, data)
  else return request.get(`marketing/platformCommission/config`)
}
// 平台抽成 - 记录统计
export function platformCommissionRecordTitle(data) {
  return request.get(`marketing/platformCommission/record_title`, data)
}
// 平台抽成 - 记录列表
export function platformCommissionRecordList(data) {
  return request.get(`marketing/platformCommission/record_list`, data)
}
// 平台抽成 - 权重值持有列表&权重值变更记录
export function platformCommissionWeightValue(data,getType = 'hold_list') {
  // hold_list=持有列表；change_record=变更记录
  return request.get(`marketing/platformCommission/weight_value_${getType}`, data)
}
// 平台抽成 - 合伙人分红 - 周期记录
export function platformCommissionPartnerCycleList(data) {
  return request.get(`marketing/platformCommission/partner_cycle_list`, data)
}
// 平台抽成 - 合伙人分红 - 周期明细记录
export function platformCommissionPartnerList(data) {
  return request.get(`marketing/platformCommission/partner_list`, data)
}
// 平台抽成 - 豆豆和积分 - 统计
export function platformCommissionLegumesTitle(data) {
  return request.get(`marketing/platformCommission/legumes_title`, data)
}
// 平台抽成 - 豆豆和积分
export function platformCommissionLegumes(data,getType = 'hold_list') {
  // cycle_list=周期列表；list=豆豆分配明细
  return request.get(`marketing/platformCommission/legumes_${getType}`, data)
}
